. /opt/hinemos/hinemos.cfg
. /opt/hinemos/sbin/hinemos_utility.sh

. ${HINEMOS_HOME}/sbin/xcloud/installer/conf.sh
. ${HINEMOS_HOME}/sbin/xcloud/installer/xcloud_install_function.sh

create_links ${LIB_DIR} "${INSTALL_LIBRARIES}" || \
	{ log "failed installation. please see log file '~/install.log.hinemos_manager_xcloud'"; exit 1; }

regist_persistence ${LIB_DIR} "${ENTITY_JARS}" "${ORM_XML_PATHS}" || \
	{ log "failed installation. please see log file '~/install.log.hinemos_manager_xcloud'"; exit 1; }

db_manipulate "${SBIN_DIR}/installer/xcloud_install_schema.sql" && \
	db_manipulate "${SBIN_DIR}/installer/${LANGUAGE}_xcloud_install_metrics.sql" || \
	{ log "failed installation. please see log file '~/install.log.hinemos_manager_xcloud'"; exit 1; }

exit 0